Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.structure.segment
Interface HL7SFTInfoInterface

All Known Implementing Classes:
  HL7SFTInfo

    public interface HL7SFTInfoInterface

The segment SFT is available since HL7 version 2.5. The SFT segment has the following fields:

SFT-1: Software Vendor Organization (XON)
SFT-2: Software Certified Version or Release Number (ST)
SFT-3: Software Product Name (ST)
SFT-4: Software Binary ID (ST)
SFT-5: Software Product Information (TX)
SFT-6: Software Install Date (TS)

Version:
  cvs revision: $Revision: 1.2 $ Last Modified: $Date: 2005/09/03 06:28:38 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Method Summary
`boolean` | `getEnable()`
`java.lang.String` | `getSoftwareBinaryID()`
`java.lang.String` | `getSoftwareCertifiedVersionOrReleaseNumber()`
`java.lang.String` | `getSoftwareInstallDate()`
`java.lang.String` | `getSoftwareProductInformation()`
`java.lang.String` | `getSoftwareProductName()`
`java.lang.String` | `getSoftwareVendorOrganization()`
`boolean` | `isEnable()`
`void` | `setEnable(boolean b)`
`void` | `setSoftwareBinaryID(java.lang.String string)`
`void` | `setSoftwareCertifiedVersionOrReleaseNumber(java.lang.String string)`
`void` | `setSoftwareInstallDate(java.lang.String string)`
`void` | `setSoftwareProductInformation(java.lang.String string)`
`void` | `setSoftwareProductName(java.lang.String string)`
`void` | `setSoftwareVendorOrganization(java.lang.String string)`

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getSoftwareBinaryID

    java.lang.String getSoftwareBinaryID()

  Returns:

### getSoftwareCertifiedVersionOrReleaseNumber

    java.lang.String getSoftwareCertifiedVersionOrReleaseNumber()

  Returns:

### getSoftwareInstallDate

    java.lang.String getSoftwareInstallDate()

  Returns:

### getSoftwareProductInformation

    java.lang.String getSoftwareProductInformation()

  Returns:

### getSoftwareProductName

    java.lang.String getSoftwareProductName()

  Returns:

### getSoftwareVendorOrganization

    java.lang.String getSoftwareVendorOrganization()

  Returns:

### setSoftwareBinaryID

    void setSoftwareBinaryID(java.lang.String string)

  Parameters:
    `string` -

### setSoftwareCertifiedVersionOrReleaseNumber

    void setSoftwareCertifiedVersionOrReleaseNumber(java.lang.String string)

  Parameters:
    `string` -

### setSoftwareInstallDate

    void setSoftwareInstallDate(java.lang.String string)

  Parameters:
    `string` -

### setSoftwareProductInformation

    void setSoftwareProductInformation(java.lang.String string)

  Parameters:
    `string` -

### setSoftwareProductName

    void setSoftwareProductName(java.lang.String string)

  Parameters:
    `string` -

### setSoftwareVendorOrganization

    void setSoftwareVendorOrganization(java.lang.String string)

  Parameters:
    `string` -

### isEnable

    boolean isEnable()

  Returns:

### getEnable

    boolean getEnable()

  Returns:

### setEnable

    void setEnable(boolean b)

  Parameters:
    `b` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD